Public Class Form1

    Private Sub btnForNextLoop_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnForNextLoop.Click

        'Declare variable
        Dim intCount As Integer

        'Perform a loop
        For intCount = 1 To 5
            'Add the item to the list
            lstData.Items.Add("Im item " & intCount & " in the list!")
        Next
    End Sub

    Private Sub btnForNextLoopWithStep_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnForNextLoopWithStep.Click

        'Perform a loop
        For intCount As Integer = 4 To 62 Step 7
            'Add the item to the list
            lstData.Items.Add(intCount)
        Next
    End Sub

    Private Sub btnBackwardsForNextLoop_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnBackwardsForNextLoop.Click

        'Perform a loop
        For intCount As Integer = 10 To 1 Step -1
            'Add the item to the list
            lstData.Items.Add(intCount)
        Next
    End Sub

    Private Sub btnForEachLoop_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnForEachLoop.Click

        'List each folder at the root of your C drive
        For Each strFolder As String In _
            My.Computer.FileSystem.GetDirectories("C:\")
            'Add the item to the list
            lstData.Items.Add(strFolder)
        Next
    End Sub

    Private Sub btnDoUntilLoop_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnDoUntilLoop.Click

        'Declare variables
        Dim objRandom As New Random()
        Dim intRandomNumber As Integer = 0

        'Clear the list
        lstData.Items.Clear()

        'Process the loop until intRandomNumber = 10
        Do Until intRandomNumber = 10
            'Get a random number between 0 and 24
            intRandomNumber = objRandom.Next(25)
            'Add the number to the list
            lstData.Items.Add(intRandomNumber)
        Loop
    End Sub

    Private Sub btnDoWhileLoop_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnDoWhileLoop.Click

        'Declare variables
        Dim objRandom As New Random()
        Dim intRandomNumber As Integer = 0

        'Clear the list
        lstData.Items.Clear()

        'Process the loop while intRandomNumber < 15
        Do While intRandomNumber < 15
            'Get a random number between 0 and 24
            intRandomNumber = objRandom.Next(25)
            'Add the number to the list
            lstData.Items.Add(intRandomNumber)
        Loop
    End Sub

    Private Sub btnNestedLoops_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnNestedLoops.Click

        'Process an outer loop
        For intLoop1 As Integer = 1 To 2
            'Process a nested (inner) loop
            For intLoop2 As Integer = 1 To 3
                lstData.Items.Add(intLoop1 & ", " & intLoop2)
            Next
        Next
    End Sub

    Private Sub btnQuittingAForLoop_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnQuittingAForLoop.Click

        'List each folder at the root of your C drive
        For Each strFolder As String In _
            My.Computer.FileSystem.GetDirectories("C:\")

            'Add the item to the list
            lstData.Items.Add(strFolder)

            'Do you have the folder C:\Program Files?
            If String.Compare(strFolder, "c:\program files", True) = 0 Then

                'Tell the user
                MessageBox.Show("Found it, exiting the loop now.", "Loops")

                'Quit the loop early
                Exit For

            End If
        Next
    End Sub

    Private Sub btnQuittingADoLoop_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnQuittingADoLoop.Click

        'Declare variable
        Dim intCount As Integer = 0

        'Process the loop
        Do While intCount < 10

            'Add the item to the list
            lstData.Items.Add(intCount)

            'Increment intCount by 1
            intCount += 1

            'Should you quit
            If intCount = 3 Then
                Exit Do
            End If

        Loop
    End Sub
End Class
